APIs / Vinted / Filters

Vinted: Filters

Filters from Vinted as JSON. 1 credit per successful call.

GET /v1/vinted/filters

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
qstringOptionalUp to 500 characters
querystringOptionalUp to 500 characters
pageintegerOptionalAny
per_pageintegerOptionalAny
orderstringOptionalrelevance, newest_first, price_low_to_high, price_high_to_low
brand_idsstringOptionalUp to 500 characters
catalog_idsstringOptionalUp to 500 characters
color_idsstringOptionalUp to 200 characters
size_idsstringOptionalUp to 200 characters
material_idsstringOptionalUp to 200 characters
status_idsstringOptionalUp to 100 characters
price_fromnumberOptionalAny
price_tonumberOptionalAny
countrystringOptionalFR, DE, ES, IT, NL, BE, AT, PL, CZ, LT, LU, SK, HU, RO, PT, SE, DK, FI, US

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/vinted/filters?country=DE" \
  -H "X-API-Key: $API_KEY"

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.